Subject: logical decoding and replication of sequences

From: Ranier Vilela <[email-masked]>
Date: Sat, 2 Apr 2022 15:12:12 -0300

On 2/10/22 19:17, Tomas Vondra wrote:
>> I've polished & pushed the first part adding sequence decoding
>> infrastructure etc. Attached are the two remaining parts.
>>
>> I plan to wait a day or two and then push the test_decoding part. The
>> last part (for built-in replication) will need more work and maybe
>> rethinking the grammar etc.
>>

>I've pushed the second part, adding sequences to test_decoding.

Hi,

Minor oversight with commit 0da92dc
<https://github.com/postgres/postgres/commit/0da92dc530c9251735fc70b20cd004d9630a1266>
.
RelationIdGetRelation can return NULL, then it is necessary to check the
return.

regards,
Ranier Vilela